package com.dayou.enums;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/30
 * created with IntelliJ IDEA.
 */
public enum MainBusinessEnum implements CodeMsgEnumInterface<String,String> {

    ITEM_BUSINESS("ITEM_BUSINESS","土规业务"),

    MAJOR_BUSINESS("MAJOR_BUSINESS","大中型业务"),

    PERSONAL_BUSINESS("PERSONAL_BUSINESS","个贷业务"),

    ASSET_BUSINESS("ASSET_BUSINESS","资产业务"),

    COMMISSION_DECLARE_MAJOR_MARKET("COMMISSION_DECLARE_MAJOR_MARKET","大中型-提成申报-市场人员"),

    COMMISSION_DECLARE_MAJOR_EVALUATE("COMMISSION_DECLARE_MAJOR_EVALUATE","大中型-提成申报-评估人员"),

    COMMISSION_DECLARE_ASSET_MARKET("COMMISSION_DECLARE_ASSET_MARKET","资产-提成申报-市场人员"),

    COMMISSION_DECLARE_ASSET_EVALUATE("COMMISSION_DECLARE_ASSET_EVALUATE","资产-提成申报-评估人员"),

    FINANCE_MANAGEMENT("FINANCE_MANAGEMENT","财务管理"),

    SETTING_MANAGEMENT("SETTING_MANAGEMENT","综合设置"),

    ALL_BUSINESS("ALL_BUSINESS","全局业务"),

    MAJOR_ORDER("MAJOR_ORDER","大中型订单"),

    PERSONAL_ORDER("PERSONAL_ORDER","个贷订单"),

    REAL_AMOUNT("REAL_AMOUNT","实收款"),

    REAL_AMOUNT_CLAIM("REAL_AMOUNT_CLAIM","实收款认领"),

    ASSETS_ORDER("ASSETS_ORDER","资产订单"),

    FINANCE_INVOICE("FINANCE_INVOICE","财务开票")
    ;

   MainBusinessEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    private String code;

    private String name;


    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return name;
    }

}
